// pageage/safetyManagement/securityCheckGR/index.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        deptId:"",
        loginName:"",
        userName:"",
        projectId:"",
        projectData:{},
        projectNameArgs:"",
        initData: {},
        show:false,
        listData:[],
        request:app.globalData.reqUrl
    },

    onClose(){
        this.setData({ show: false });  
    },
    showPopup() {
        this.setData({ show: true });
    },

    skipAdd(){
        wx.navigateTo({
            url: `../add/index?projectId=${this.data.initData.id}&projectName=`+this.data.initData.text,
        })
    },

    getInfo(e){
        let {id} = e.currentTarget.dataset.set
        wx.navigateTo({
          url: `../info/index?id=${id}`,
        })
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
     //获取缓存数据
      wx.getStorage({
        key: 'userinfo',
        success:res=>{
          this.setData({
            deptId:res.data.deptId,
            loginName:res.data.loginName,
            userName:res.data.userName,
            projectId:app.globalData.projectId,
            projectNameArgs:app.globalData.projectName,
            initData:{text:app.globalData.projectName,id:app.globalData.projectId}
          })  
          this.getProjectCheckingData(app.globalData.projectId,res.data.loginName,res.data.deptId);
        }
      })
    },

  /**
    * 查询项目举牌验收数据
    */
   getProjectCheckingData(projectId,loginName,deptId) {
    var that = this;
    wx.request({
      url: app.globalData.reqUrl + '/wechat/projectchecking/list',
      data: {
        "projectId": projectId,
        "nowUserName":loginName,
        "deptId":deptId
      },
      method: "get",
      success: function (res) {
        that.setData({
            listData:res.data.data
        })
      }
    })
    },

    returnToPage: function () {
      /*关闭当前页面，跳转到应用内的某个页面。但是不允许跳转到 tabbar 页面*/
      wx.redirectTo({
        url: '../../../pages/gengduogongneng/gengduogongneng',
      })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})